Subject: bug#20891: emacs: Back off if .doc is not an Office document

From: era <[email-masked]>
Date: Wed, 06 Nov 2019 15:08:14 +0200

On Wed, Nov 6, 2019, at 03:53, Stefan Kangas wrote:
> Lars Ingebrigtsen <[email-masked]> writes:
> > [email-masked] writes:
> >> It is not uncommon for *.doc files to contain plain ASCII text. In this
> >> case, the default behavior of Emacs is less than ideal
> > I think this makes sense.  A fix in Emacs would mean moving the .doc
> > recognition from `auto-mode-alist' to...  `magic-fallback-mode-alist', I
> > guess.
> I wasn't aware of the practice to name plain text files *.doc; I can't
> remember having encountered any file like that.  Perhaps this practice
> is rare.
> Would implementing this risk make opening *.doc files slower for most
> users?  Perhaps that could make the trade-off not worth it.  Other
> than that, I see no problem with the proposal.

I'd agree that this is probably increasingly rare, but it used to be a practice which wasn't entirely uncommon back when Microsoft was not yet a household brand name and Word wasn't taught in schools.

On the other hand, if the behavior described in the original bug report is still current, that's quirky and unexpected. Really, how many people *expect* Emacs to be able to open a Word document, and are any of them happy when they get a static image to look at in Emacs?

-- 
If this were a real .signature, it would suck less.  Well, maybe not.